.PATH: ${.CURDIR}/..

.if defined(DEBUG)
CFLAGS	= -g3 -pipe -O0
.endif
CFLAGS	+= -I${.CURDIR}/..

.if defined(PREFIX)
KMODDIR	= ${PREFIX}/lib/cd9660_unicode
.endif

SRCS	= cd9660_uni2asc.c ctable.h
CLEANFILES	= ctable.h
KMOD	= cd9660_${ENCODING}
KLDMOD	= true
NOMAN	= true

TMPLDIR	= ${.CURDIR}/../templates

ctable.h! ${TMPLDIR}/${ENCODING}.txt
	@(echo "CD9660_DECLARE_UNIDECODE(${ENCODING:S/-/_/g});"; \
	 echo; cat ${TMPLDIR}/${ENCODING}.txt) > ctable.h

